## Contents

- Properties

class solace.MessagePublisherProperties

Properties that define the configuration for a guaranteed message publisher.

## Constructor Top

| MessagePublisherProperties ( Object options ) |  |

## Properties Top

solace.MessagePublisherAcknowledgeMode | acknowledgeMode = `solace.MessagePublisherAcknowledgeMode.PER_MESSAGE` |  |
Number | acknowledgeTimeoutInMsecs = `2000` |  |
Boolean | enabled |  |
Number | windowSize = `50` |  |

## Constructor details Top

###
MessagePublisherProperties ( Object options )

Properties that define the configuration for a guaranteed message publisher.

#### Parameters

Object | options Properties to apply to the newly constructed object.

## Properties Detail Top

###
public solace.MessagePublisherAcknowledgeMode acknowledgeMode = `solace.MessagePublisherAcknowledgeMode.PER_MESSAGE`

The message-router sends windowed acknowledgements which the API converts to per-message acknowledgement by default. If acknowledgeMode is Windowed, then the API will simply pass through the message-router acknowledgements.

###
public Number acknowledgeTimeoutInMsecs = `2000`

The time to wait for an acknowledgement, in milliseconds, before retransmitting unacknowledged messages.

- The valid range is 20 <= value <= 60000.

###
public Boolean enabled

When enabled, a Guaranteed Messaging Publisher is automatically created when a session is connected.

The default value is the same as the value provided to solace.SolclientFactory.init, in the profile, solace.SolclientFactoryProperties#profile, in the field solace.FactoryProfile#guaranteedMessagingEnabled.

###
public Number windowSize = `50`

Maximum number of messages that can be published without acknowledgment.

- The valid range is 1 <= value <= 255